- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# XCB Res API

Res XCB Protocol Implementation. More...

## Data Structures
struct | xcb_res_client_t
| xcb_res_client_t More...
struct | xcb_res_client_iterator_t
| xcb_res_client_iterator_t More...
struct | xcb_res_type_t
| xcb_res_type_t More...
struct | xcb_res_type_iterator_t
| xcb_res_type_iterator_t More...
struct | xcb_res_query_version_cookie_t
| xcb_res_query_version_cookie_t More...
struct | xcb_res_query_version_request_t
| xcb_res_query_version_request_t More...
struct | xcb_res_query_version_reply_t
| xcb_res_query_version_reply_t More...
struct | xcb_res_query_clients_cookie_t
| xcb_res_query_clients_cookie_t More...
struct | xcb_res_query_clients_request_t
| xcb_res_query_clients_request_t More...
struct | xcb_res_query_clients_reply_t
| xcb_res_query_clients_reply_t More...
struct | xcb_res_query_client_resources_cookie_t
| xcb_res_query_client_resources_cookie_t More...
struct | xcb_res_query_client_resources_request_t
| xcb_res_query_client_resources_request_t More...
struct | xcb_res_query_client_resources_reply_t
| xcb_res_query_client_resources_reply_t More...
struct | xcb_res_query_client_pixmap_bytes_cookie_t
| xcb_res_query_client_pixmap_bytes_cookie_t More...
struct | xcb_res_query_client_pixmap_bytes_request_t
| xcb_res_query_client_pixmap_bytes_request_t More...
struct | xcb_res_query_client_pixmap_bytes_reply_t
| xcb_res_query_client_pixmap_bytes_reply_t More...
## Defines
#define | XCB_RES_MAJOR_VERSION 1
#define | XCB_RES_MINOR_VERSION 0
#define | XCB_RES_QUERY_VERSION 0
#define | XCB_RES_QUERY_CLIENTS 1
#define | XCB_RES_QUERY_CLIENT_RESOURCES 2
#define | XCB_RES_QUERY_CLIENT_PIXMAP_BYTES 3
## Functions
void | xcb_res_client_next (xcb_res_client_iterator_t *i)
xcb_generic_iterator_t | xcb_res_client_end (xcb_res_client_iterator_t i)
void | xcb_res_type_next (xcb_res_type_iterator_t *i)
xcb_generic_iterator_t | xcb_res_type_end (xcb_res_type_iterator_t i)
xcb_res_query_version_cookie_t | xcb_res_query_version (xcb_connection_t *c, uint8_t client_major, uint8_t client_minor)
xcb_res_query_version_cookie_t | xcb_res_query_version_unchecked (xcb_connection_t *c, uint8_t client_major, uint8_t client_minor)
xcb_res_query_version_reply_t * | xcb_res_query_version_reply (xcb_connection_t *c, xcb_res_query_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_res_query_clients_cookie_t | xcb_res_query_clients (xcb_connection_t *c)
xcb_res_query_clients_cookie_t | xcb_res_query_clients_unchecked (xcb_connection_t *c)
xcb_res_client_t * | xcb_res_query_clients_clients (const xcb_res_query_clients_reply_t *R)
int | xcb_res_query_clients_clients_length (const xcb_res_query_clients_reply_t *R)
xcb_res_client_iterator_t | xcb_res_query_clients_clients_iterator (const xcb_res_query_clients_reply_t *R)
xcb_res_query_clients_reply_t * | xcb_res_query_clients_reply (xcb_connection_t *c, xcb_res_query_clients_cookie_t cookie, xcb_generic_error_t **e)
xcb_res_query_client_resources_cookie_t | xcb_res_query_client_resources (xcb_connection_t *c, uint32_t xid)
xcb_res_query_client_resources_cookie_t | xcb_res_query_client_resources_unchecked (xcb_connection_t *c, uint32_t xid)
xcb_res_type_t * | xcb_res_query_client_resources_types (const xcb_res_query_client_resources_reply_t *R)
int | xcb_res_query_client_resources_types_length (const xcb_res_query_client_resources_reply_t *R)
xcb_res_type_iterator_t | xcb_res_query_client_resources_types_iterator (const xcb_res_query_client_resources_reply_t *R)
xcb_res_query_client_resources_reply_t * | xcb_res_query_client_resources_reply (xcb_connection_t *c, xcb_res_query_client_resources_cookie_t cookie, xcb_generic_error_t **e)
xcb_res_query_client_pixmap_bytes_cookie_t | xcb_res_query_client_pixmap_bytes (xcb_connection_t *c, uint32_t xid)
xcb_res_query_client_pixmap_bytes_cookie_t | xcb_res_query_client_pixmap_bytes_unchecked (xcb_connection_t *c, uint32_t xid)
xcb_res_query_client_pixmap_bytes_reply_t * | xcb_res_query_client_pixmap_bytes_reply (xcb_connection_t *c, xcb_res_query_client_pixmap_bytes_cookie_t cookie, xcb_generic_error_t **e)
## Variables
xcb_extension_t | xcb_res_id

## Detailed Description

Res XCB Protocol Implementation.

## Define Documentation

#define XCB_RES_QUERY_CLIENT_PIXMAP_BYTES 3

Opcode for xcb_res_query_client_pixmap_bytes.

#define XCB_RES_QUERY_CLIENT_RESOURCES 2

Opcode for xcb_res_query_client_resources.

#define XCB_RES_QUERY_CLIENTS 1

Opcode for xcb_res_query_clients.

#define XCB_RES_QUERY_VERSION 0

Opcode for xcb_res_query_version.

## Function Documentation

xcb_generic_iterator_t xcb_res_client_end | ( | xcb_res_client_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_res_client_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_res_client_next | ( | xcb_res_client_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_res_client_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_res_client_t)

xcb_res_query_client_pixmap_bytes_cookie_t xcb_res_query_client_pixmap_bytes | ( | xcb_connection_t * | c,
|  | uint32_t | xid |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_res_query_client_pixmap_bytes_reply_t* xcb_res_query_client_pixmap_bytes_reply | ( | xcb_connection_t * | c,
|  | xcb_res_query_client_pixmap_bytes_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_res_query_client_pixmap_bytes_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_res_query_client_pixmap_bytes_cookie_t xcb_res_query_client_pixmap_bytes_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | xid |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_res_query_client_resources_cookie_t xcb_res_query_client_resources | ( | xcb_connection_t * | c,
|  | uint32_t | xid |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_res_query_client_resources_reply_t* xcb_res_query_client_resources_reply | ( | xcb_connection_t * | c,
|  | xcb_res_query_client_resources_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_res_query_client_resources_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_res_query_client_resources_cookie_t xcb_res_query_client_resources_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | xid |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_res_query_clients_cookie_t xcb_res_query_clients | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_res_query_clients_reply_t* xcb_res_query_clients_reply | ( | xcb_connection_t * | c,
|  | xcb_res_query_clients_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_res_query_clients_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_res_query_clients_cookie_t xcb_res_query_clients_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_res_query_version_cookie_t xcb_res_query_version | ( | xcb_connection_t * | c,
|  | uint8_t | client_major,
|  | uint8_t | client_minor |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_res_query_version_reply_t* xcb_res_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_res_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_res_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_res_query_version_cookie_t xcb_res_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | client_major,
|  | uint8_t | client_minor |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_generic_iterator_t xcb_res_type_end | ( | xcb_res_type_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_res_type_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_res_type_next | ( | xcb_res_type_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_res_type_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_res_type_t)